package com.aitrainer.api.repository

import com.aitrainer.api.model.ExerciseTreeParents
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface ExerciseTreeParentsRepository : JpaRepository<ExerciseTreeParents, Long> {
    @Query("FROM ExerciseTreeParents as e "  +
            "WHERE exerciseTreeChildId = :id ")
    fun findByExerciseTreeChildId(id: Long): List<ExerciseTreeParents>?
}