package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.DietRawMaterial
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface DietRawMaterialRepository : JpaRepository<DietRawMaterial, Long> {
    fun findByDietId(dietId: Long): List<DietRawMaterial>
}