package com.aitrainer.api.service

import java.util.Properties
import jakarta.mail.*
import jakarta.mail.internet.*

class Email {

    private val encodedPassword = "Jfn8xRIObqLXlx5AChKqNMqbHnZ2aois"
    @Throws(MessagingException::class)
    fun send(to: String, emailBody: String, subject: String)  {
        val properties = Properties().apply {
            put("mail.smtp.auth", "true")
            put("mail.smtp.starttls.enable", "true")
            put("mail.smtp.host", "mail.aitrainer.info")
            put("mail.smtp.port", "587")
        }

        val session: Session = Session.getInstance(properties, object : Authenticator() {
            override fun getPasswordAuthentication(): PasswordAuthentication {
                return PasswordAuthentication("service@workouttest.com", Encryptor.getEncryptor().decrypt(encodedPassword))
            }
        })

        val message = MimeMessage(session).apply {
            setFrom(InternetAddress("service@workouttest.com"))
            setRecipients(Message.RecipientType.TO, InternetAddress.parse(to))
            setRecipients(Message.RecipientType.BCC, InternetAddress.parse("service@workouttest.com"))
            this.subject = subject
        }

        val bodyPart = MimeBodyPart().apply {
            setContent(emailBody, "text/html; charset=UTF-8")
        }

        val multipart = MimeMultipart().apply {
            addBodyPart(bodyPart)
        }

        message.setContent(multipart)

        Transport.send(message)
    }
}